petsc-3.4.2 2013-07-02

# PetscFunctionBegin

First executable line of each PETSc function used for error handling.

### Synopsis

    #include "petscsys.h"
    void PetscFunctionBegin;

Not Collective

### Usage

         int something;

         PetscFunctionBegin;

### Notes

Not available in Fortran

### See Also

PetscFunctionReturn()

### Keywords

traceback, error handling

Level:developer
Location:src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex19.c.html
src/mat/examples/tutorials/ex4.c.html
src/mat/examples/tutorials/ex5.c.html
src/mat/examples/tutorials/ex8.c.html
src/mat/examples/tutorials/ex12.c.html
src/ksp/pc/examples/tutorials/ex2.c.html
src/snes/examples/tutorials/ex52_integrateElement_coef.cu.html
src/snes/examples/tutorials/ex52_integrateElement.cu.html
src/ts/examples/tutorials/ex30.cxx.html